> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Darken Color

> Darken a color by a percentage.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/color/darken
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/color/darken:
    get:
      tags:
        - Color Utilities
      summary: Darken Color
      description: Darken a color by a percentage.
      operationId: darken_color_v1_color_darken_get
      parameters:
        - name: hex_color
          in: query
          required: true
          schema:
            type: string
            description: Hex color to darken
            title: Hex Color
          description: Hex color to darken
        - name: amount
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 0
            description: Amount to darken (0-100)
            default: 10
            title: Amount
          description: Amount to darken (0-100)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````